Import Courses through public channels

http
POST https://services.leadconnectorhq.com/courses/courses-exporter/public/import

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYes
userIdstringNo
  • products (object[], required)

    • title (string, required)

    • description (string, required)

    • imageUrl (string)

    • categories (object[], required)

      • title (string, required)

      • visibility (string, required): Possible values: 'published', 'draft'

      • thumbnailUrl (string)

      • posts (object[])

        • title (string, required)

        • visibility (string, required): Possible values: 'published', 'draft'

        • thumbnailUrl (string)

        • contentType (string, required): Possible values: 'video', 'assignment', 'quiz'

        • description (string, required)

        • bucketVideoUrl (string)

        • postMaterials (object[])

          • title (string, required)

          • type (string, required): Possible values: 'pdf', 'image', 'docx', 'pptx', 'xlsx', 'html', 'dotx', 'epub', 'webp', 'gdoc', 'mp3', 'doc', 'txt', 'zip', 'ppt', 'key', 'htm', 'xls', 'odp', 'odt', 'rtf', 'm4a', 'ods', 'mp4', 'ai', 'avi', 'mov', 'wmv', 'mkv', 'wav', 'flac', 'ogg', 'png', 'jpeg', 'jpg', 'gif', 'bmp', 'tiff', 'svg', 'odg', 'sxw', 'sxc', 'sxi', 'rar', '7z', 'json', 'xml', 'csv', 'md', 'obj', 'stl', 'woff', 'ttf'

          • url (string, required)

      • subCategories (object[])

        • title (string, required)

        • visibility (string, required): Possible values: 'published', 'draft'

        • thumbnailUrl (string)

        • posts (object[])

          • title (string, required)

          • visibility (string, required): Possible values: 'published', 'draft'

          • thumbnailUrl (string)

          • contentType (string, required): Possible values: 'video', 'assignment', 'quiz'

          • description (string, required)

          • bucketVideoUrl (string)

          • postMaterials (object[])

    • instructorDetails (object)

      • name (string, required)

      • description (string, required)

Responses

201 - Response

Example

curl -X POST 'https://services.leadconnectorhq.com/courses/courses-exporter/public/import' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "string",
  "userId": "string",
  "products": [
    {
      "title": "string",
      "description": "string",
      "imageUrl": "string",
      "categories": [
        {}
      ],
      "instructorDetails": {
        "name": "string",
        "description": "string"
      }
    }
  ]
}'

Last updated October 26, 2026

Was this page helpful?